# Units

Manages units for a venue.

 - [PUT /venues/{venueId}/units/{unitId}/identities/{identityId}](https://docs.ruckus.cloud/api/property-management-1.0.1/units/associateidentity.md): Allows the user to associate identities on the specified unit.
 - [DELETE /venues/{venueId}/units/{unitId}/identities/{identityId}](https://docs.ruckus.cloud/api/property-management-1.0.1/units/deleteidentity.md): Allows the user to delete associated identity of the unit.
 - [PUT /venues/{venueId}/units/qosProfileAssignments/{qosProfileId}](https://docs.ruckus.cloud/api/property-management-1.0.1/units/qosprofileassignments.md): Allows the user to update QoS profile assignments.
 - [GET /venues/{venueId}/units](https://docs.ruckus.cloud/api/property-management-1.0.1/units/getallunits.md): Gets the list of units paged.
 - [POST /venues/{venueId}/units](https://docs.ruckus.cloud/api/property-management-1.0.1/units/addunit.md): Allows the user to add a unit on the specified venue.
 - [POST /venues/{venueId}/units/query](https://docs.ruckus.cloud/api/property-management-1.0.1/units/queryunits.md): Gets the list of units using the specified query.
 - [POST /venues/{venueId}/units/notifications](https://docs.ruckus.cloud/api/property-management-1.0.1/units/resendnotifications.md): Allows the user to resend notifications for units with the given ids.
 - [POST /venues/{venueId}/units/identities/query](https://docs.ruckus.cloud/api/property-management-1.0.1/units/queryidentities.md): Gets the list of identities using the specified query.
 - [GET /venues/{venueId}/units/{unitId}](https://docs.ruckus.cloud/api/property-management-1.0.1/units/fetchunit.md): Allows the user to get a unit with the given id.
 - [DELETE /venues/{venueId}/units/{unitId}](https://docs.ruckus.cloud/api/property-management-1.0.1/units/deleteunit.md): Allows the user to delete a unit with the given id.
 - [PATCH /venues/{venueId}/units/{unitId}](https://docs.ruckus.cloud/api/property-management-1.0.1/units/editunit.md): Allows the user to selectively update unit configurations on the specified venue.
 - [DELETE /venues/{venueId}/units](https://docs.ruckus.cloud/api/property-management-1.0.1/units/deleteunits.md): Allows the user to delete units with the given ids. This method will be removed no sooner than 08/31/2026. The following URL DELETE /venues/{venueId}/units/{unitId} can be used for this content.
